import type { Plugin } from '@vuepress/core';
export interface CopyPulginOptions {
    /**
     * copy btn text
     *
     * 复制按钮字体
     * @default 'Copy'
     */
    copyText?: string;
    /**
     * copied text
     *
     * 已复制字体
     * @default 'Copied'
     */
    copiedText?: string;
    /**
     * code selector
     *
     * code的选择器
     * @default 'div[class*="language-"]'
     */
    selector?: string;
}
export declare const CodeCopyPulgin: ({ copyText, copiedText, selector }?: CopyPulginOptions) => Plugin;
